Package org.apache.bsf.util.event.generator

# Class ByteUtility

java.lang.Object
org.apache.bsf.util.event.generator.ByteUtility

public class ByteUtility extends Object
Byte handling utilities 5 April 1999 - functions to append standard types to byte arrays functions to produce standard types from byte arrays

Author:
  Richard F. Boehme

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteUtility()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `addBytes(byte[] array, byte value)`
  `static byte[]`
  `addBytes(byte[] array, byte[] value)`
  `static byte[]`
  `addBytes(byte[] array, int value)`
  `static byte[]`
  `addBytes(byte[] array, long value)`
  `static byte[]`
  `addBytes(byte[] array, short value)`
  `static byte[]`
  `addBytes(byte[] array, String value)`
  `static double`
  `byteArrayToDouble(byte[] value)`
  `static double`
  `byteArrayToDouble(byte[] high, byte[] low)`
  `static float`
  `byteArrayToFloat(byte[] value)`
  `static int`
  `byteArrayToInt(byte[] value)`
  `static long`
  `byteArrayToLong(byte[] value)`
  `static long`
  `byteArrayToLong(byte[] high, byte[] low)`
  `static short`
  `byteArrayToShort(byte[] value)`
  `static String`
  `byteToHexString(byte value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteUtility

    public ByteUtility()

- ## Method Details

  - ### addBytes

    public static byte[] addBytes(byte[] array, byte[] value)

  - ### addBytes

    public static byte[] addBytes(byte[] array, byte value)

  - ### addBytes

    public static byte[] addBytes(byte[] array, int value)

  - ### addBytes

    public static byte[] addBytes(byte[] array, long value)

  - ### addBytes

    public static byte[] addBytes(byte[] array, String value)

  - ### addBytes

    public static byte[] addBytes(byte[] array, short value)

  - ### byteArrayToDouble

    public static double byteArrayToDouble(byte[] high, byte[] low)

  - ### byteArrayToDouble

    public static double byteArrayToDouble(byte[] value)

  - ### byteArrayToFloat

    public static float byteArrayToFloat(byte[] value)

  - ### byteArrayToInt

    public static int byteArrayToInt(byte[] value)

  - ### byteArrayToLong

    public static long byteArrayToLong(byte[] value)

  - ### byteArrayToLong

    public static long byteArrayToLong(byte[] high, byte[] low)

  - ### byteArrayToShort

    public static short byteArrayToShort(byte[] value)

  - ### byteToHexString

    public static String byteToHexString(byte value)